Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming.NamingContextPackage
Class CannotProceed

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.omg.CORBA.UserException
                  org.omg.CosNaming.NamingContextPackage.CannotProceed

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class CannotProceed

extends UserException

org/omg/CosNaming/NamingContextPackage/CannotProceed.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/CosNaming/nameservice.idl Wednesday, August 11, 2004 5:04:13 AM GMT-08:00

Field Summary
`NamingContext` | `cxt`
`NameComponent[]` | `rest_of_name`

Constructor Summary
`CannotProceed()`
`CannotProceed(NamingContext _cxt, NameComponent[] _rest_of_name)`
`CannotProceed(String $reason, NamingContext _cxt, NameComponent[] _rest_of_name)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cxt

    public NamingContext cxt

### rest_of_name

    public NameComponent[] rest_of_name

Constructor Detail

### CannotProceed

    public CannotProceed()

### CannotProceed

    public CannotProceed(NamingContext _cxt,
                         NameComponent[] _rest_of_name)

### CannotProceed

    public CannotProceed(String $reason,
                         NamingContext _cxt,
                         NameComponent[] _rest_of_name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.